part of study_report;

class BuildCard extends StatelessWidget {
  const BuildCard({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Stack(
      children: [
        Container(
          child: Image.asset(
            'assets/images/report_bg.png',
          ),
        ),
        Positioned(
            left: 0,
            top: 0,
            right: 0,
            child: Container(
              padding: EdgeInsets.only(left: 17.5.w,top:25.w,right: 20.w,bottom: 20.w),
              child: Row(
                mainAxisAlignment: MainAxisAlignment.spaceBetween,
                crossAxisAlignment: CrossAxisAlignment.end,
                children: [
                  Expanded(
                    child: Column(
                      mainAxisAlignment: MainAxisAlignment.start,
                      crossAxisAlignment: CrossAxisAlignment.start,
                      children: [
                        Text('恰如其分的孤独',style: TextStyle(fontSize: 20.w,height: 1.4,color: Colors.white,fontWeight: Fonts.medium),),
                        Gaps.vGaps15,
                        Row(
                          children: [
                            Text('学习总进度',style: TextStyle(fontSize: 13.w,height: 1.4,color: Colors.white),),
                            Gaps.hGaps15,
                            Text('4.98%',style: TextStyle(fontSize: 16.w,height: 1.4,color: Colors.white,fontWeight: Fonts.medium),),
                          ]
                        ),
                        Gaps.vGaps10,
                        Row(
                            children: [
                              Text('学习总时长',style: TextStyle(fontSize: 13.w,height: 1.4,color: Colors.white),),
                              Gaps.hGaps15,
                              Text('30分钟',style: TextStyle(fontSize: 16.w,height: 1.4,color: Colors.white,fontWeight: Fonts.medium),),
                            ]
                        ),
                        Gaps.vGaps10,
                        Text('上次读到',style: TextStyle(fontSize: 13.w,height: 1.4,color: Colors.white),),
                        Gaps.vGaps5,
                        Text('第3章 情节…情节…情节情节情节情节',style: TextStyle(fontSize: 16.w,height: 1.4,color: Colors.white,fontWeight: Fonts.medium),maxLines: 1,overflow: TextOverflow.ellipsis,),
                      ]
                    ),
                  ),
                  Container(
                    height: 120.w,
                    width: 100.w,
                    color: Colors.lime,
                  )
                ],
              ),
            )
        )
      ],
    );
  }
}
